Xapian::RSet Class Reference

A relevance set (R-Set). More...

## Public Member Functions

| RSet (const RSet &rset)
| Copy constructor.
void | operator= (const RSet &rset)
| Assignment operator.
| RSet ()
| Default constructor.
| ~RSet ()
| Destructor.
Xapian::doccount | size () const
| The number of documents in this R-Set.
bool | empty () const
| Test if this R-Set is empty.
void | add_document (Xapian::docid did)
| Add a document to the relevance set.
void | add_document (const Xapian::MSetIterator &i)
| Add a document to the relevance set.
void | remove_document (Xapian::docid did)
| Remove a document from the relevance set.
void | remove_document (const Xapian::MSetIterator &i)
| Remove a document from the relevance set.
bool | contains (Xapian::docid did) const
| Test if a given document in the relevance set.
bool | contains (const Xapian::MSetIterator &i) const
| Test if a given document in the relevance set.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

A relevance set (R-Set).

This is the set of documents which are marked as relevant, for use in modifying the term weights, and in performing query expansion.

The documentation for this class was generated from the following file:

- xapian/enquire.h